/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { ProtocolOpHandler } from "@fluidframework/protocol-base";
import { IDocumentMessage, IDocumentSystemMessage, IProtocolState } from "@fluidframework/protocol-definitions";
import { IProducer, type IScribe } from "@fluidframework/server-services-core";
export declare const initializeProtocol: (protocolState: IProtocolState) => ProtocolOpHandler;
export declare const sendToDeli: (tenantId: string, documentId: string, producer: IProducer | undefined, operation: IDocumentMessage | IDocumentSystemMessage) => Promise<any>;
export declare const getClientIds: (protocolState: IProtocolState, clientCount: number) => string[];
/**
 * Whether to write checkpoint to local db.
 * @param noActiveClients - whether there are any active clients
 * @param globalCheckpointOnly - whether to always write checkpoints to global db
 * @returns whether to write checkpoint to local db
 */
export declare const isLocalCheckpoint: (noActiveClients: boolean, globalCheckpointOnly: boolean) => boolean;
/**
 * Whether to write checkpoint to global db.
 * @param noActiveClients - whether there are any active clients
 * @param globalCheckpointOnly - whether to always write checkpoints to global db
 * @returns whether to write checkpoint to global db
 */
export declare const isGlobalCheckpoint: (noActiveClients: boolean, globalCheckpointOnly: boolean) => boolean;
/**
 * Whether the quorum members represented in the checkpoint's protocol state have had their user data scrubbed
 * for privacy compliance.
 */
export declare const isScribeCheckpointQuorumScrubbed: (checkpoint: string | IScribe | undefined) => boolean;
//# sourceMappingURL=utils.d.ts.map